package es.ejie.frmk.infraestructura.poolCache;

/**
 * Clase que actúa de fachada para el componente Gestor de Pool ante el
 * desarrollador de aplicaciones.
 */
public class Q70GestorPool extends Q70AlmacenRecursosPoolImpl{
	private static Q70GestorPool instance;
    
	private Q70GestorPool() {
	}
    
	/** 
	 * Método estático que devuelve la única instancia de la clase <code>Q70GestorPool</code>.
	 * @return <code>instancia</code> Instancia de Q70GestorPool
	 */
	public static Q70GestorPool getSingleton() {
	  if (instance == null)
		instance = new Q70GestorPool();

	  return instance;
	}
    
}